.\" Manpage for cdtdebug.
.\" Contact jjohnstn@redhat.com to correct errors or typos.
.TH man 1 "07 July 2014" "1.0" "cdtdebug man page"
.SH NAME
cdtdebug \- The Eclipse C/C++ Stand-alone Debugger
.SH SYNOPSIS
cdtdebug [
.I "ECLIPSE-OPTIONS"
] [
.B -h, --help
] [
.B -b 
.I build-log
] [
.B -a
] | [
.B -c
.I core
] 
.B -e
.I executable...
]
.SH DESCRIPTION
cdtdebug is a graphical C/C++ debugger using Eclipse and gdb.  The debugger uses Eclipse plug-ins and features found in the eclipse-cdt package
and invokes an Eclipse application specialized to bring up just the C/C++ debugging elements.  The debugger can be used to debug executables,
core files, and can also attach to existing processes.  Internally, gdb is used to perform the debugging tasks via the gdb/mi interface.  For more info, see the upstream
.UR https://wiki.eclipse.org/CDT/StandaloneDebugger
wiki page
.UE .
.SH OPTIONS
.PP
Operation modes:
.IP "\fB-h, --help\fR"
.PD
print help, then exit.
.PD
.PP
Indexing assist options:
.IP "\fB-b \fIbuild-log\fR"
.PD
specify build log to use for compiler includes/flags.
.PP
Target options:
.IP "\fB-a\fR"
.PD
attach to an existing process (list will be shown).
.PD
.IP "\fB-c \fIcore\fR"
.PD
debug core file (need to also specify corresponding executable).
.PD
.IP "\fB-e \fIexecutable\fR [ \fIargs...\fR ]
.PD
debug given executable (passing
.I args
to main).
.PD
.PP
The 
.B -e
option must be used last as subsequent options are passed to main.

Specifying insufficient arguments for a particular target will result in a
dialog displayed to enter the required values for that target.  Specifying
no target option brings up a dialog for debugging an executable with the
executable path, program arguments, and build log filled in from the last
.B -e
invocation, if one exists.

For details on options that can be passed to Eclipse, see:
.UR http://help.eclipse.org/luna/index.jsp?topic=%2Forg.eclipse.platform.doc.user%2Ftasks%2Frunning_eclipse.htm
.UE .
.SH SEE ALSO
.I gdb(1)
.SH BUGS
No known bugs.
.SH AUTHOR
Jeff Johnston (jjohnstn@redhat.com)
.SH COPYRIGHT
Copyright (c) 2014 Red Hat Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with the Invariant Sections being "Free Software" and "Free Software Needs Free Documentation", with the Front-Cover Texts being "A GNU Manual," and with the Back-Cover Texts as in (a) below.

(a) The FSF's Back-Cover Text is: "You are free to copy and modify this GNU Manual.  Buying copies from GNU Press supports the FSF in developing GNU and promoting software freedom."

